geometry.h File Reference
`#include "grok.h"`
`#include <iostream>`
`#include <cstdint>`
`#include <limits>`
`#include <sstream>`
`#include <atomic>`
`#include "logger.h"`
`#include "grk_intmath.h"`

Go to the source code of this file.

## Classes

struct | grk::grk_pt< T >
struct | grk::grk_line< T >
struct | grk::grk_rect< T >

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Typedefs

using | grk::grk_pt32 = grk_pt< uint32_t >
using | grk::grk_pt16 = grk_pt< uint16_t >
using | grk::grk_line32 = grk_line< uint32_t >
using | grk::grk_rect32 = grk_rect< uint32_t >
using | grk::grk_rect16 = grk_rect< uint16_t >
using | grk::grk_rect_single = grk_rect< float >

## Functions

template<typename T >
T | grk::clip (int64_t val)
template<typename T >
T | grk::satAdd (int64_t lhs, int64_t rhs)
template<typename T >
T | grk::satAdd (T lhs, T rhs)
template<typename T >
T | grk::satSub (T lhs, T rhs)
template<typename T >
T | grk::satSub (int64_t lhs, int64_t rhs)